<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8">
    <title>Ejercicio-4</title>
  </head>
  <body>
    <script>
      let productos = [
        {
          id: 1,
          nombre: "Camiseta",
          descripcion: "Camiseta de algodón",
          precio: 25.99,
          cantidad: 50,
          categoria: "Ropa",
          marca: "Nike"
        },
        {
          id: 2,
          nombre: "Pantalón",
          descripcion: "Pantalón de mezclilla",
          precio: 35.99,
          cantidad: 30,
          categoria: "Ropa",
          marca: "Levi's"
        },
        {
          id: 3,
          nombre: "Zapatos",
          descripcion: "Zapatos de cuero",
          precio: 65.99,
          cantidad: 20,
          categoria: "Calzado",
          marca: "Adidas"
        },
        {
          id: 4,
          nombre: "Gorra",
          descripcion: "Gorra deportiva",
          precio: 15.99,
          cantidad: 100,
          categoria: "Accesorios",
          marca: "Puma"
        },
        {
          id: 5,
          nombre: "Bolso",
          descripcion: "Bolso de piel",
          precio: 89.99,
          cantidad: 10,
          categoria: "Accesorios",
          marca: "Louis Vuitton"
        }
      ];

      let pedidos = [
        {
          id: 1,
          fecha: "2022-01-01",
          cliente: "Juan Pérez",
          detalle: [
            {
              producto: productos[0],
              cantidad: 2
            },
            {
              producto: productos[1],
              cantidad: 1
            }
          ]
        },
        {
          id: 2,
          fecha: "2022-02-15",
          cliente: "María García",
          detalle: [
            {
              producto: productos[2],
              cantidad: 1
            },
            {
              producto: productos[4],
              cantidad: 3
            }
          ]
        },
        {
          id: 3,
          fecha: "2022-03-25",
          cliente: "Pedro González",
          detalle: [
            {
              producto: productos[3],
              cantidad: 5
            }
          ]
        }
      ];

      function mostrarPedidosConDetalle() {
        pedidos.forEach((pedido) => {
          document.write("<h3>Pedido #" + pedido.id + "</h3>");
          document.write("<p>Fecha: " + pedido.fecha + "</p>");
          document.write("<p>Cliente: " + pedido.cliente + "</p>");
          document.write("<ul>");
          pedido.detalle.forEach((item) => {
            document.write(
              "<li>" +
                item.producto.nombre +
                " - Cantidad: " +
                item.cantidad +
                " - Precio unitario: $" +
                item.producto.precio.toFixed(2) +
                "</li>"
            );
          });
          document.write("</ul>");
        });
      }

      mostrarPedidosConDetalle();
    </script>
  </body>
</html>
